summaryrefslogtreecommitdiff
path: root/dev-python/google-api-core
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-05 20:15:34 -0500
committerCrucible <crucible@localhost>2026-10-05 20:15:34 -0500
commit0ec94c3dc8d7a7ce5a857085e8039d80dbb1fb93 (patch)
tree712bba14b1c4791c27e4a1b21bbb7b4637c70bbd /dev-python/google-api-core
parent5c02f4f10cf4865b1f5d2fc82a62c9292351d08d (diff)
downloadsrcux-0ec94c3dc8d7a7ce5a857085e8039d80dbb1fb93.tar.gz
srcux-0ec94c3dc8d7a7ce5a857085e8039d80dbb1fb93.tar.xz
srcux-0ec94c3dc8d7a7ce5a857085e8039d80dbb1fb93.zip
Publish srcux candidate 0000000571-20261005-201336
Diffstat (limited to 'dev-python/google-api-core')
-rw-r--r--dev-python/google-api-core/Manifest2
-rw-r--r--dev-python/google-api-core/google-api-core-2.41.0.ebuild58
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index 100d704b2a96..ba16599107ec 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -12,3 +12,5 @@ DIST google_api_core-2.39.0.tar.gz 258568 BLAKE2B 98dbe72af6d5894eb4e1d12ce0daf2
DIST google_api_core-2.39.0.tar.gz.provenance 5917 BLAKE2B b083f5470a60e6e9e46d000c4444aca164d2b5eea7bfafec21b46c4c2a784bb38d1172e9c264f4a1f171efa4baad903d589a0e6722318ac793fbfaeb325d1c93 SHA512 954fea188521a72bedb824178eea2cfb1fe2976e329c66cee16684563fff60f51d3e2a6f270961c002bc3f562da25fb0490a1bf3d75f2affbf2eea1c2f75dd19
DIST google_api_core-2.40.0.tar.gz 258617 BLAKE2B 8f4fbf7d6f7cb07abc8d469d0bc0fd4b64477fe2f646f0f72be9665f1d2debf851e1ee29400358b96472e4eb75e63326d2667db26b3f4c3b2e141896fadafe7e SHA512 529eb131cbc2efe555b3d4d68bb45eb178e27a300dd214213bffd9f39d70f9bf53348fc7d5d9d053b7cc2886f03600d41b9f4789c13cf41dc4708480352ba6c4
DIST google_api_core-2.40.0.tar.gz.provenance 6058 BLAKE2B 238637ca846df09fd4c2c82b4bcfcda08cfd5bbd9a214ae592a47e9741d4833101dde492ec7573e48e6241f24356cdada0acfda36b91fb3480b54801909bc065 SHA512 cef6324a99f54a74f6473db32f58509801e11cd2a5628a1127bb0f3721518c678d390b8578c2814defea8670b730ad731601c7c41f1aeeb040009802a9485c50
+DIST google_api_core-2.41.0.tar.gz 262821 BLAKE2B 3e39e23f9285ad49557a3604451a39fb40289124198975532227c745fce740387375e2fdc24345041bf25ab61731d2f5415c8b0a04085531b837aad685e659dc SHA512 71b8b25e126c146068c0a8a348d893f78fdc9d057f44b67b536b0be49f06ae477c3a73f8e8883fe6dea6c4c2dcdb1c2ceb272ceb8b17dd9373fb84469d7b6f3d
+DIST google_api_core-2.41.0.tar.gz.provenance 5917 BLAKE2B bf95f467af1d754cc674d84759f49247d078dcd0dc23b429d3e362fd2837c0db4fc8413ad97550645b573ab2f182528969eb730e01566375152c2e36b6dee6d7 SHA512 b4125da55a260cee4122c12c7055f4d2ef7cabc8eb408857fe882f7a2beabe788f896cf762c896b5e109ebd31f9c2311afe776a42fbbe2f847cf389545a1a66f
diff --git a/dev-python/google-api-core/google-api-core-2.41.0.ebuild b/dev-python/google-api-core/google-api-core-2.41.0.ebuild
new file mode 100644
index 000000000000..2b11a77adbaf
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.41.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=gcp:google-cloud-sdk-py@oss-exit-gate-prod.iam.gserviceaccount.com
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/google-cloud-python/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.69.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ <dev-python/opentelemetry-api-2[${PYTHON_USEDEP}]
+ >=dev-python/opentelemetry-api-1.44.0[${PYTHON_USEDEP}]
+ >=dev-python/proto-plus-1.26.1[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-6.33.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.33.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ grpc? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/opentelemetry-sdk-1.44.0[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,mock} )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # The grpc_gcp module is missing to perform a stress test
+ tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+ rm -rf google || die
+ epytest tests
+}